Bug 196591 - LowPerformance took 24510 ms.
LowPerformance took 24510 ms.
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 7.1
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-11 13:48 UTC by ianvic
Modified: 2011-11-04 15:05 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (5.94 KB, application/nps)
2011-03-11 13:48 UTC, ianvic
Details
nps snapshot (7.13 KB, application/nps)
2011-03-12 15:06 UTC, ianvic
Details
nps snapshot (5.91 KB, application/nps)
2011-03-12 17:24 UTC, ianvic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ianvic 2011-03-11 13:48:26 UTC
Build: NetBeans IDE Dev (Build 110306-1fd14ed34772)
VM: Java HotSpot(TM) Client VM, 19.0-b09, Java(TM) SE Runtime Environment, 1.6.0_23-b05
OS: Linux

User Comments:
bitray: it happened where the StringBuilder class api(indexOf) is autocompleting.

the other StringBuilder api is slowly too.

bitray: the "append" method of the StringBuilder class autocomplete

ianvic: again just normal coding stuff

bitray: StringBuilder.append method autocomplete



Maximum slowness yet reported was 24510 ms, average is 13702
Comment 1 ianvic 2011-03-11 13:48:31 UTC
Created attachment 106913 [details]
nps snapshot
Comment 2 ianvic 2011-03-12 15:06:49 UTC
Created attachment 106932 [details]
nps snapshot

this is getting worse
Comment 3 ianvic 2011-03-12 17:24:49 UTC
Created attachment 106936 [details]
nps snapshot

the usual
Comment 4 David Strupl 2011-10-25 13:02:10 UTC
This is blocking the javadoc window with loading of the remote content - Dusan, do we have a duplicate somewhere?
Comment 5 Dusan Balek 2011-11-03 16:12:46 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/679086c37359
Comment 6 Quality Engineering 2011-11-04 15:05:19 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/679086c37359
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #196591: LowPerformance took 24510 ms - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo